CANVAS_CREATE_STROKE_INSTRUCTION(3)

FUNCTION
canvas_create_stroke_instruction - Create an image editing stroke instruction.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_create_stroke_instruction

(KWorldCanvas canvas, double x0, double y0, double x1, double y1, unsigned int brush_width, double value[2], KImageEditList ilist)

DESCRIPTION
This routine will create a 2-dimensional edit stroke instruction, according to the specification in the <-iedit-> package and will append it to a managed edit list.

canvas
    The world canvas which contains the world co-ordinate system.

x0  The starting horizontal co-ordidinate of the stroke.

y0  The starting vertical co-ordidinate of the stroke.

x1  The ending horizontal co-ordidinate of the stroke.

y1  The ending vertical co-ordidinate of the stroke.

brush_width
    The width of the stroke (in canvas pixels). This must be at least 1.

value
    The data value in the stroke instruction. This must be of type K_DCOMPLEX.

ilist
    The managed edit list.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/